Git import failing for fprintd (bzr-git exceptions.AssertionError)

Asked by Vasyl on 2020-10-24

Last successful import for fprintd was on 2020-03-23. It is failing since then, and it seems to be a root cause of the package not updating to recent versions.

Some searching gave an idea that it might be solved by switching synchronization target and builder to git repo instead of bzr. Could you have a look if that is reasonable?

Question information

Language:
English Edit question
Status:
Solved
For:
Launchpad itself Edit question
Assignee:
No assignee Edit question
Solved by:
Colin Watson
Solved:
2020-10-24
Last query:
2020-10-24
Last reply:
2020-10-24

This question was reopened

Best Colin Watson (cjwatson) said : #1

It's unlikely that the broken import has anything to do with the package not being updated. It looks like that's simply because newer versions haven't been packaged in Debian as yet.

I've deleted the broken git-to-bzr import and replaced it with a git-to-git import:

  https://code.launchpad.net/~vcs-imports/fprintd/+git/fprintd

But we can't help you with the package not being updated; that'll need attention from Ubuntu developers.

Vasyl (exposight) said : #2

Thanks for explanation, and for fixing the import as well!

Vasyl (exposight) said : #3

Thanks Colin Watson, that solved my question.